function [NoisyImage] = coloredNoiseImage(Y, SNR)
[m, n] = size(Y); 
eta = 18;
varianc = sum(Y(:).^2)/(n*10^(SNR/10));
qt = exp(-((1:m)-m/2).^2/(eta^2*2))/(eta*sqrt(2*pi));
varianc_v = varianc*qt;
Cn = diag(varianc_v); 
N = sqrtm(Cn)*randn([m n]);
Yn = Y + N;
NoiseMat = N;
NoisyImage = Yn;
snr1 = 10*log10(sum(Yn(:).^2)/(sum(N(:).^2)));
disp(['Computed SNR after adding noise: ' num2str(snr1) 'dB'])
end

