function [ Y, A, dict ] = createSyntheticImage( imgMaterials, pixels, endMemberRange, path )
%% This will create a synthetic random image for evaluation
dict = load(path);
d = dict.lib.ReflectanceMatrix;
n = 1:50:1200;
spectra = [];
for i = 1:length(n)
    spectra = [spectra d(:,n(i))];
end
spectra = spectra./repmat(max(spectra),size(d,1), 1);


pick = randperm(size(spectra,2), imgMaterials);
dict = spectra(:,pick);
sparsity = endMemberRange(1):endMemberRange(2);
st = sparsity(1);
A = zeros(imgMaterials, pixels);
for ii = 1:pixels
    t = st+randperm(length(sparsity)-1,1);
    tt = randperm(imgMaterials, t);
    flag = 1;
    while flag==1
        x = dirichletSampling( t );
        test = find(x ==1);
        if ~isempty(test)
            flag = 1;
        end
        flag = 0;
    end  
    A(tt, ii) = x; 
end
Y = dict * A;
end

